org.richfaces.el

## Class CapturingELResolver

- java.lang.Object
- - javax.el.ELResolver
  - - org.richfaces.el.ELResolverWrapper
    - - org.richfaces.el.CapturingELResolver

-     public class CapturingELResolver
      extends ELResolverWrapper

  Since:
    3.3.0
  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.el.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CapturingELResolver(javax.el.ELResolver resolver)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getBase()`
    `Object` | `getProperty()`
    `Class<?>` | `getType(javax.el.ELContext context, Object base, Object property)`
    `Object` | `getValue(javax.el.ELContext context, Object base, Object property)`

    - ### Methods inherited from class org.richfaces.el.ELResolverWrapper

      `getCommonPropertyType, getFeatureDescriptors, isReadOnly, setValue`

    - ### Methods inherited from class javax.el.ELResolver

      `invoke`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CapturingELResolver

          public CapturingELResolver(javax.el.ELResolver resolver)

  - ### Method Detail

    - #### getValue

          public Object getValue(javax.el.ELContext context,
                        Object base,
                        Object property)

      Overrides:
        `getValue` in class `ELResolverWrapper`
      See Also:
        `ELResolver.getValue(javax.el.ELContext, java.lang.Object, java.lang.Object)`

    - #### getType

          public Class<?> getType(javax.el.ELContext context,
                         Object base,
                         Object property)

      Overrides:
        `getType` in class `ELResolverWrapper`
      See Also:
        `ELResolver.getType(javax.el.ELContext, java.lang.Object, java.lang.Object)`

    - #### getBase

          public Object getBase()

    - #### getProperty

          public Object getProperty()

Copyright © 2014 JBoss by Red Hat. All rights reserved.